<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="personal">
        <xs:complexType>
            <xs:sequence>
                <xs:element name="datos-generales" type="tipoDatosGenerales">
               </xs:element>
                <xs:element name="datos-departamentos" maxOccurs="unbounded">
                    <xs:complexType>
                        <xs:sequence>

                        </xs:sequence>
                        <xs:attributeGroup ref="tipoDepartamento"/>
                    </xs:complexType>  
                </xs:element>
            </xs:sequence>
            <xs:attributeGroup ref="personal_att"></xs:attributeGroup>
        </xs:complexType>
    </xs:element>
    <xs:element name="datos-departamentos">
    </xs:element>
    <xs:complexType name="tipoDatosGenerales">
        <xs:sequence>
            <xs:element name="nombre-empresa" type="tipoTexto"/>
            <xs:element name="numero-trabajadores" type="xs:positiveInteger"/>
            <xs:element name="sector">
                <xs:complexType>
                    <xs:sequence>
                        <xs:group ref="sectores"></xs:group>
                    </xs:sequence>
                </xs:complexType>
            </xs:element>
        </xs:sequence>
    </xs:complexType>
    <xs:simpleType name="tipoTexto">
        <xs:restriction base="xs:string">
            <xs:minLength value="1"/>
            <xs:maxLength value="40"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:group name="sectores">
        <xs:choice>
            <xs:element name="educacion"/>
            <xs:element name="finanzas"/>
            <xs:element name="tecnologia"/>
        </xs:choice>
    </xs:group>
    <xs:attributeGroup name="personal_att">
        <xs:attribute name="fecha" type="xs:date"/>
        <xs:attribute name="multinacional" type="xs:boolean"/>
        <xs:attribute name="moneda" type="xs:string" fixed="Euro"/>
    </xs:attributeGroup>
    <xs:attributeGroup name="tipoDepartamento">
        <xs:attribute name="nombre-departamento"/>
    </xs:attributeGroup>
    <xs:simpleType name="tipoDepartamento">
        <xs:restriction base="xs:string">
            <xs:enumeration value="Administracion"/>
            <xs:enumeration value="Informatica"/>
            <xs:enumeration value="Marketing"/>
            <xs:enumeration value="Recursos_Humans"/>
        </xs:restriction>
    </xs:simpleType>
    <xs:attributeGroup name="tipoJefe" >
        <xs:attribute name="fecha" type="xs:date"/>
        <xs:attribute name="multinacional" type="xs:boolean"/>
        <xs:attribute name="moneda" type="xs:string" fixed="Euro"/>
    </xs:attributeGroup>
</xs:schema>